Search
curl --request GET \
--url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/reddit/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/reddit/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/reddit/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Reddit
Search
Search Reddit for posts
GET
/
api
/
v1
/
openclaw
/
reddit
/
search
Search
Parameters
string
required
Search query
string
Sort by (e.g.,
relevance)Example Request
curl -X GET "https://yoinkit.ai/api/v1/openclaw/reddit/search?query=EXAMPLE" \
-H "Authorization: Bearer YOUR_API_TOKEN"
Example Response
{
"success": true,
"data": {
"posts": [
{
"subreddit": "webscraping",
"title": "After 2 months learning scraping, I'm sharing what I learned!",
"subreddit_name_prefixed": "r/webscraping",
"ups": 123,
"score": 456,
"num_comments": 78
}
// ... more posts
]
},
"meta": {
"platform": "reddit",
"endpoint": "search",
"request_id": "req_abc123"
}
}
Response data is returned directly from the Yoinkit API.
⌘I